<ion-header>
  <ion-toolbar color="danger">
    <ion-buttons>
      <ion-button position="float" icon-only color="light" [routerLink]="['../home']" ><ion-icon name="close"></ion-icon></ion-button>
      <ion-title>View Staff</ion-title>
    </ion-buttons>
  </ion-toolbar>
</ion-header>

<ion-content>
  <ion-list>
    <ion-item-sliding *ngIf="results == undefined">
      <ion-item>
        <ion-label>
          <h1>Loading...</h1>
        </ion-label>
      </ion-item>
    </ion-item-sliding>

    <ion-item-sliding *ngIf="results != undefined && results.length === 0">
      <ion-item>
        <ion-label>
          <h1>No data.</h1>
        </ion-label>
      </ion-item>
    </ion-item-sliding>

    <ion-item-sliding *ngFor="let item of results">
      <ion-item>
        <ion-label>
          <h2>{{ item.count }}. {{ item.name }}</h2>
          <p>{{ item.gred }}</p>
          <p>{{ item.jawatan }}</p>
          <p>{{ item.pusat }}</p>
          <p>{{ item.bahagian }}</p>
        </ion-label>
      </ion-item>
  
      <ion-item-options side="end">
        <ion-item-option color="success" (click)="openContractPage(item._id)">
          <ion-icon slot="icon-only" name="calendar-outline" color="light"></ion-icon>
        </ion-item-option>
        <ion-item-option color="warning" (click)="openUpdatePage(item._id)">
          <ion-icon slot="icon-only" name="create" color="light"></ion-icon>
        </ion-item-option>
        <ion-item-option color="danger" (click)="presentAlertConfirm(item._id)">
          <ion-icon slot="icon-only" name="trash" color="light"></ion-icon>
        </ion-item-option>
      </ion-item-options>
    </ion-item-sliding>
  </ion-list>
</ion-content>
